package betterwithmods.common.registry.blockmeta.managers;

import betterwithmods.common.registry.blockmeta.recipe.TurntableRecipe;
import com.google.common.collect.Lists;
import net.minecraft.block.Block;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

import java.util.List;

public class TurntableManager extends BlockMetaManager<TurntableRecipe> {
    public static TurntableManager INSTANCE = new TurntableManager();

    @Override
    public TurntableRecipe createRecipe(Block block, int meta, List<ItemStack> outputs) {
      return null;
    }

    public void addTurntableRecipe(ItemStack inputBlock, ItemStack outputBlock, ItemStack... scraps) {
        if (!inputBlock.func_190926_b() && inputBlock.func_77973_b() instanceof ItemBlock) {
            Block iBlock = ((ItemBlock) inputBlock.func_77973_b()).func_179223_d();
            int iMeta = inputBlock.func_77960_j();
            if (outputBlock.func_190926_b())
                addTurntableRecipe(iBlock, iMeta, null, 0, scraps);
            else if (outputBlock.func_77973_b() instanceof ItemBlock) {
                Block oBlock = ((ItemBlock) outputBlock.func_77973_b()).func_179223_d();
                int oMeta = outputBlock.func_77960_j();
                addTurntableRecipe(iBlock, iMeta, oBlock, oMeta, scraps);
            }
        }
    }

    public void addTurntableRecipe(Block block, int meta, Block result, int resultMeta, ItemStack... scraps) {
        addRecipe(new TurntableRecipe(block, meta, result,resultMeta, Lists.newArrayList(scraps)));
    }


}
